文档章节

RHEL6.5安装collectd5.8 采集数据至logstash

雁南飞丶
 雁南飞丶
发布于 2018/04/11 14:45
字数 558
阅读 141
收藏 0

下载collectd5.8

https://storage.googleapis.com/collectd-tarballs/collectd-5.8.0.tar.bz2

安装

https://collectd.org/download.shtml

tar xf collectd-version.tar.bz2
cd collectd-version
./configure
make all install

复制启动脚本

cp /usr/local/collectd-5.8.0/contrib/redhat/init.d-collectd  /etc/init.d/
chmod +x /etc/init.d/init.d-collectd 
修改启动脚本配置文件地方

修改后的启动脚本 用##标识 主语路径

[root@znhjkapp02 ~]# cat /etc/init.d/init.d-collectd 
#!/bin/bash
#
# collectd    Startup script for the Collectd statistics gathering daemon
# chkconfig: - 99 01
# description: Collectd is a statistics gathering daemon used to collect \
#   system information ie. cpu, memory, disk, network
# processname: collectd
# config: /etc/collectd.conf
# config: /etc/sysconfig/collectd
# pidfile: /var/run/collectd.pid

# Source function library.
. /etc/init.d/functions

RETVAL=0
ARGS=""
prog="collectdmon"
service="collectd"
CONFIG=/opt/collectd/etc/collectd.conf     ##
COLLECTD=/opt/collectd/sbin/collectd       ##
COLLECTDMONPIDDIR="/opt/collectd/var/run"  ##
COLLECTDMONPID="$COLLECTDMONPIDDIR/collectdmon.pid"

MAXWAIT=30

if [ -r /etc/sysconfig/$service ]; then
	. /etc/sysconfig/$service
fi

if [[ ! -d $COLLECTDMONPIDDIR ]]; then
	mkdir -p $COLLECTDMONPIDDIR
	[ -n "${RUNAS}" ] && chown "${RUNAS}:" "$COLLECTDMONPIDDIR"
fi

check_config() {
        if test ! -r "$CONFIG"; then
                return 2
        fi
        if ! $COLLECTD -t -C "$CONFIG"; then
                return 1
        fi
        return 0
}

start () {
	echo -n $"Starting collectd: "
	check_config
	rc="$?"
	if test "$rc" -ne 0; then
		RETVAL=6
		echo $"not starting due to configuration error"
		failure $"not starting $service due to configuration error"
	else
		daemon --user "${RUNAS:-root}" $prog -P $COLLECTDMONPID -c $COLLECTD -- -C "$CONFIG" $ARGS
		RETVAL=$?
		echo
		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$service
	fi
}

stop () {
	echo -n $"Stopping collectd: "
	killproc -p $COLLECTDMONPID -d $MAXWAIT $prog
	RETVAL=$?
	echo
	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$service
}

restart () {
	check_config
	rc="$?"
	if test "$rc" -ne 0; then
		RETVAL=6
		echo $"not restarting due to configuration error"
		failure $"not restarting $service due to configuration error"
	else
		stop
		start
	fi
}

# See how we were called.
case "$1" in
  start)
	start
	;;
  stop)
	stop
	;;
  status)
	status -p $COLLECTDMONPID $prog
	;;
  restart|reload)
	restart
	;;
  condrestart)
	[ -f /var/lock/subsys/$service ] && restart || :
	;;
  *)
	echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
	exit 1
esac

exit $?

# vim:syntax=sh

修改collectd


[root@znhjkapp02 ~]# grep -v ^# /opt/collectd/etc/collectd.conf |grep -v ^$
Hostname    "znhjkapp02"
LoadPlugin syslog
LoadPlugin cpu
LoadPlugin interface
LoadPlugin load
LoadPlugin memory
LoadPlugin network
<Plugin network>
	<Server "9.1.8.247" "25826">  #collectd收集来数据传送给logstash的服务器地址
	</Server>
</Plugin>

启动并查看日志 没错就OK

[root@znhjkapp02 ~]# /etc/init.d/init.d-collectd start
collectdmon (pid  1034) 正在运行...
查看日志
Apr 11 10:45:56 znhjkapp02 collectd[1035]: plugin_load: plugin "interface" successfully loaded.
Apr 11 10:45:56 znhjkapp02 collectd[1035]: plugin_load: plugin "load" successfully loaded.
Apr 11 10:45:56 znhjkapp02 collectd[1035]: plugin_load: plugin "memory" successfully loaded.
Apr 11 10:45:56 znhjkapp02 collectd[1035]: plugin_load: plugin "network" successfully loaded.
Apr 11 10:45:56 znhjkapp02 collectd[1035]: Initialization complete, entering read-loop.

logstash 安装用rpm

[root@znhjkapp02 ~]# cat /etc/logstash/conf.d/collectd.conf
input{
 udp {
    port => 25826
    buffer_size => 1452
    workers => 3          # Default is 2
    queue_size => 30000   # Default is 2000
    codec => collectd { }
    type => "collectd"
}
}
output {
  elasticsearch {
    hosts => '9.1.8.234'
    index => "logstash-collectd-%{+YYYY.MM.dd}"
       }
        stdout { codec => rubydebug }
}

会启动一个udp的25826端口监听来自collectd的数据

© 著作权归作者所有

雁南飞丶
粉丝 37
博文 177
码字总数 232081
作品 0
西安
运维
私信 提问
Linux的企业-ELK日志分析

一、简介 1、核心组成 ELK由Elasticsearch、Logstash和Kibana三部分组件组成; Elasticsearch是个开源分布式搜索引擎,它的特点有:分布式,零配置,自动发现,索引自动分片,索引副本机制,...

一百个小排
2017/11/07
0
0
ELK 之 LogStash

一、简介 Logstash 是开源的服务器端数据处理管道,能够同时 从多个来源采集数据、转换数据,然后将数据发送到您最喜欢的 “存储库” 中。(我们的存储库当然是 Elasticsearch。)可以用三个...

SoulMio
2017/09/16
0
0
采用 Logstash 采集 tomcat access 日志和应用程序日志

Logstash 的安装 Logstash 的安装非常简单,直接官网下载对应的版本(需要和 Elasticsearch 的版本匹配)解压缩即可 # tar -zxvf logstash-2.3.2.tar.gz -C /usr/local/ # mv logstash-2.3.2...

walle-Liao
2016/04/30
3.5K
1
轻量型数据采集器--Beats

Beats 是一款轻量级的数据采集器,采用 Go 语言编写。它集合了多种单一用途数据采集器。这些采集器安装后可用作轻量型代理,从成百上千或成千上万台机器向 Logstash 或 Elasticsearch 发送数...

匿名
2017/11/15
2.7K
1
[喵咪BELK实战(3)] logstash+filebeat搭建

[喵咪BELK实战(3)] logstash+filebeat搭建 前言 在上节我们已经把elasticsearch+kibana已经搭建起来了,可以正常的进行数据的索引查询了,但是直接对elasticsearch进行操作也非常不方便, elast...

喵了_个咪
2017/05/09
0
0

没有更多内容

加载失败,请刷新页面

加载更多

Linux使用源码包安装软件

前言: 最近整理一些以前的学习笔记。 过去都是存储在本地,此次传到网络留待备用。 源码包 Linux软件多数免费、开源,是开发人员编写的,具有很强可读性的一组相关代码文本。 源码包 --> 编...

迷失De挣扎
今天
2
0
IPv4如何转换为IPv6?

ipv6已经逐渐在应用,现在已经有很多的运营商支持ipv6,前天我们也发布了如何让电脑使用ipv6地址?有很多朋友在问?ipv6有什么作用,它的表示方式是什么,今天我们来一起来详细了解下ipv6相关计...

xiangyunyan
今天
3
0
小白讲网络安全系列

注入攻击防护 XSS注入 SQL注入 命令注入 文件上传 文件解压缩 CSRF防护 对称加密 非对称加密 数字证书 数字签名 完整性校验 消息验证码 单向散列Hash函数 口令单向加密算法 审计日志 认证鉴权...

一刀
今天
2
0
MYSQL 嵌套事务(SAVEPOINT) 与Spring 事务传播

摘要 savepoint 关键字可以实现嵌套事务。结合savepoint关键字,更方便理解spring的事务传播。 事务嵌套 初始化表脚本 drop table t;create table t(a int, primary key(a)); 开启事务 my...

liangxiao
今天
4
0
Chrome OS 更新新版本可让Linux访问USB连接的Android设备

谷歌再次为Chrome OS带来了重大版本更新,使版本号达到了75。本次更新的一大亮点就是允许在Chrome OS上运行的Linux能够识别通过USB方式连接的Android设备,能够让用户使用Linux进行调试等等。...

linuxCool
昨天
17
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部